ChangeSet 1.1276.22.9, 2003/08/22 15:33:06-07:00, bellucda@tiscali.it

[PATCH] USB: PATCH 9/19 Audit usb_register/usb_serial_register under divers/usb/serial


 drivers/usb/serial/ir-usb.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/ir-usb.c b/drivers/usb/serial/ir-usb.c
--- a/drivers/usb/serial/ir-usb.c	Tue Sep  2 12:47:46 2003
+++ b/drivers/usb/serial/ir-usb.c	Tue Sep  2 12:47:46 2003
@@ -609,10 +609,19 @@
 
 static int __init ir_init (void)
 {
-	usb_serial_register (&ir_device);
-	usb_register (&ir_driver);
+	int retval;
+	retval = usb_serial_register(&ir_device);
+	if (retval)
+		goto failed_usb_serial_register;
+	retval = usb_register(&ir_driver);
+	if (retval) 
+		goto failed_usb_register;
 	info(DRIVER_DESC " " DRIVER_VERSION);
 	return 0;
+failed_usb_register:
+	usb_serial_deregister(&ir_device);
+failed_usb_serial_register:
+	return retval;
 }
 
 
